<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.mapper.GasDataMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.admin.entity.GasData">
        <id column="id" property="id" />
        <result column="loction_type" property="loctionType" />
        <result column="NH3_N" property="nh3N" />
        <result column="JLM" property="jlm" />
        <result column="ELHT" property="elht" />
        <result column="EJEL" property="ejel" />
        <result column="H2S" property="h2s" />
        <result column="BYX" property="byx" />
        <result column="CH3SH" property="ch3sh" />
        <result column="SJA" property="sja" />
        <result column="CQ" property="cq" />
        <result column="original_data" property="originalData" />
        <result column="create_time" property="createTime" />
        <result column="other1" property="other1" />
        <result column="other2" property="other2" />
        <result column="other3" property="other3" />
        <result column="farm_id" property="farmId"/>
    </resultMap>

    <select id="selectTime" resultType="date">
        SELECT DISTINCT create_time FROM `gas_data` WHERE farm_id=#{farmId} AND display_type = 1 ORDER BY create_time ASC
    </select>

</mapper>
